from sqlalchemy import Column, String, Text
from sqlalchemy.orm import relationship

from app.db.base import Base
from app.db.base_class import BaseModel


class Category(Base, BaseModel):
    """Category model for organizing inventory items."""
    __tablename__ = "categories"

    name = Column(String, index=True, nullable=False)
    description = Column(Text, nullable=True)
    
    # Relationships
    items = relationship("Item", back_populates="category")